#include <stdio.h>
#include <fcntl.h>
#include <memory.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>

int
main(int argc, char *argv[])
{
  int ret;
  char *filename;
  struct stat statbuf;

  if (argc != 2) {
    printf("usage: %s filename\n", argv[0]);
    exit(1);
  }
  filename = argv[1];
  ret = stat(filename, &statbuf);
  if (ret < 0) {
    perror(filename);
    exit(1);
  }
  printf("file size is %d\n", (u_int) statbuf.st_size);
  exit(0);
}
